Skip to main content
POST
/
room_sessions
/
{room_session_id}
/
actions
/
end
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx();

const response = await client.rooms.sessions.actions.end('0ccc7b54-4df3-4bca-a65a-3da1ecc777f0');

console.log(response.data);
from telnyx import Telnyx

client = Telnyx()
response = client.rooms.sessions.actions.end(
"0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
)
print(response.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Rooms.Sessions.Actions.End(context.TODO(), "0ccc7b54-4df3-4bca-a65a-3da1ecc777f0")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.rooms.sessions.actions.ActionEndParams;
import com.telnyx.sdk.models.rooms.sessions.actions.ActionEndResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

ActionEndResponse response = client.rooms().sessions().actions().end("0ccc7b54-4df3-4bca-a65a-3da1ecc777f0");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

response = telnyx.rooms.sessions.actions.end_("0ccc7b54-4df3-4bca-a65a-3da1ecc777f0")

puts(response)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$response = $client->rooms->sessions->actions->end(
'0ccc7b54-4df3-4bca-a65a-3da1ecc777f0'
);

var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx rooms:sessions:actions end \
--api-key 'My API Key' \
--room-session-id 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
curl --request POST \
--url https://api.telnyx.com/v2/room_sessions/{room_session_id}/actions/end
{
  "data": {
    "result": "ok"
  }
}
{
"success": false,
"message": "Error"
}

Path Parameters

room_session_id
string<uuid>
required

The unique identifier of a room session.

Example:

"0ccc7b54-4df3-4bca-a65a-3da1ecc777f0"

Response

Success Action Response

data
object